%def_enable gtk1
%define themename industrial

Summary: Industrial theme from Ximian
Summary (ru_RU.UTF-8): Тема Industrial от Ximian
Name: industrial-themes
Version: 0.2.36
Release: alt1
License: GPL
Group: Graphical desktop/Other
Url: http://www.ximian.com/
Source: gtk-%themename-engine_%version-2.tar.gz
Patch0: gtk-industrial-ru.patch
BuildRequires: XFree86-devel XFree86-libs gcc-c++ gcc-g77 glib-devel glib2-devel gtk+-devel hostinfo intltool libatk-devel libgtk+2-devel libpango-devel libstdc++-devel perl-XML-Parser pkgconfig rootfiles

%description
Ximian Industrial theme for GNOME

%description -l ru_RU.UTF-8
Тема Industrial (Индустриальная) для GNOME (от Ximian).

%package -n gtk2-themes-%themename
Summary: Industrial theme for GTK2 (from Ximian)
Summary (ru_RU.UTF-8): Тема Industrial для GTK2 от Ximian
Group: Graphical desktop/GNOME

%description -n gtk2-themes-%themename
GTK2 Industrial theme from Ximian

%description -n gtk2-themes-%themename -l ru_RU.UTF-8
Тема для GTK2 от Ximian

%if_enabled gtk1
%package -n gtk1-themes-%themename
Summary: Industrial theme for GTK1 (from Ximian)
Summary (ru_RU.UTF-8): Тема Industrial для GTK1 от Ximian
Group: Graphical desktop/GNOME

%description -n gtk1-themes-%themename
GTK1 Industrial theme from Ximian

%description -n gtk1-themes-%themename -l ru_RU.UTF-8
Тема для GTK1 от Ximian
%endif

%package -n metacity-themes-%themename
Summary: Industrial theme for Metacity (from Ximian)
Summary (ru_RU.UTF-8): Тема Industrial для Metacity от Ximian
Group: Graphical desktop/GNOME
Requires: metacity

%description -n metacity-themes-%themename
Metacity themes from Ximian

%description -n metacity-themes-%themename -l ru_RU.UTF-8
Темы для Metacity от Ximian

%package -n gnome-icon-themes-%themename
Summary: Industrial icons (from Ximian)
Summary (ru_RU.UTF-8): Пиктограммы Industrial от Ximian
Group: Graphical desktop/GNOME

%description -n gnome-icon-themes-%themename
Industrial icons from Ximian

%description -n gnome-icon-themes-%themename -l ru_RU.UTF-8
Пиктограммы Industrial от Ximian


%package -n gnome-themes-%themename
Summary: Industrial theme (from Ximian)
Summary (ru_RU.UTF-8): Тема Industrial (Индустриальная) от Ximian
Group: Graphical desktop/GNOME
Requires: gtk2-themes-%themename
%if_enabled gtk1
Requires: gtk1-themes-%themename
%endif
Requires: metacity-themes-%themename
Requires: gnome-icon-themes-%themename

%description -n gnome-themes-%themename
GNOME theme from Ximian

%description -n gnome-themes-%themename -l ru_RU.UTF-8
Тема для GNOME от Ximian


%prep
%setup -q -n gtk-%themename-engine-%version
%patch0 -p1

%build
./autogen.sh
pushd gtk1-engine
ln -s ../gtk-common/* .
popd
pushd gtk2-engine
ln -s ../gtk-common/* .
popd
%make

%install
%makeinstall
%find_lang gtk-%themename-engine

%files -n gtk2-themes-%themename
%doc ChangeLog
%_libdir/gtk-2.0/*/engines/*.so
%_datadir/themes/*/gtk-2.0
%config %dir %_datadir/themes/*

%if_enabled gtk1
%files -n gtk1-themes-%themename
%_libdir/gtk/themes/engines/*.so
%_datadir/themes/*/gtk
%config %dir %_datadir/themes/*
%endif

%files -n metacity-themes-%themename
%_datadir/themes/*/metacity-1
%config %dir %_datadir/themes/*

%files -n gnome-icon-themes-%themename
%_datadir/icons/*

%files -n gnome-themes-%themename -f gtk-%themename-engine.lang
%_datadir/themes/*/index.theme

%changelog
* Mon Sep 06 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.2.36-alt1
- ALTLinux build
